Package: org.codehaus.groovy.reflection

## [Java] Class ClassLoaderForClassArtifacts

- org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `SoftReference<Class>` | `klazz` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassLoaderForClassArtifacts (Class klazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `createClassName(Method method)`
    `` | `Class` | `define(String name, byte[] bytes)`
    `` | `Constructor` | `defineClassAndGetConstructor(String name, byte[] bytes)`
    `` | `Class` | `loadClass(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ClassLoader`

    `getName, loadClass, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public final SoftReference<Class> klazz

  - ### Constructor Detail

    - #### public ClassLoaderForClassArtifacts(Class klazz)

  - ### Method Detail

    - #### public String createClassName(Method method)

    - #### public Class define(String name, byte[] bytes)

    - #### public Constructor defineClassAndGetConstructor(String name, byte[] bytes)

    - #### public Class loadClass(String name)